ROHTO BUGS - Bug #447

ESS Address sudah bisa memposting data tetapi tidak mendelimit data sebelum nya
08/03/2021 12:08 PM - Muhammad Bintar

Status: Closed Start date: 08/03/2021
Priority: Urgent Due date: 08/18/2021
Assignee: Alip Sudin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim Developer, mohon support nya untuk perbaikan pada ess address dimana pada saat melakukan pengajuan ess address,
data sudah di posting sukses namun tidak mendelimit data sebelum nya.

bloyee ID: 00000058 Company ID: ROHTO

Name: Lucia Roos Meila Employee Office: Head Office

bloyee Status: Active Organization: General Affair and Human Resource

ployee Type: Permanent Position: General Affair and Human Resource s ot
Manager ¥

Edit - Address - 00000058 - Lucia Roos Meila

Al Data ° Action w Clear Filters
hent 1] o )
Lol M E el T,r n.l* 0oL oips el hr Lo+ m Pd-J L

Benefit 1]

03/08/2021 31/12/9999  Rumah Kontrak asdd 000 000 sad asdasd asdsd Sumaters
3 1]

03/08/2021 31/12/9999 Rumah Kontrak erewre 000 000 sdas asdasd asdasd Banten

O

29/07/2021 31/12/9999 Rumah Kost dasdsa 000 000 sads asdasas dasdasd  Riau
on O

29/07/2021 31/12/9999  Legal Address (KTP) asdasdas 000 000 fgg dfgdfg dfgfddf  Jambi
lg Experien... 1

01/01/2021 28/07/2021  Legal Address (KTP)  sdsd 000 000 fdgdgds dsfdf dsdd Sumater3
ation Hist... O
Record 1] ! '

Start Date: WorkflowStatus:
End Date: BusinessProcess:
ReglDFrom: ReglDTo:

PIC: OnBehalf:

Result

ReglD | WorkflowStatus | TaskName EmplDAs = PIC ExecuteBy = TaskStatus | ExecuteAt

cord B Title: 1013 : Address - Finish
Skill 1013 Finish Create 00000058 - - Complete  03/08/2021 11:50:49
Iden...

1013 Finish Approval HR 00000058 GroupHCPusat 00000550 Complete 03/08/2021 11:54:27
B Title: 1014 : Address - Finish
1014 Finish Create 00000058 - - Complete 03/08/2021 12:05:20

Eri€.. 1014 Finish Approval HR 00000058 GroupHCPusat 00000550 Complete 03/08/2021 12:05:52
remote.minovais.com, 1445\MSSQLSERVER2019

History

#1 - 08/18/2021 11:00 AM - Kezia Pawitra Yulianti

- Due date changed from 08/16/2021 to 08/18/2021

- Status changed from New to Assigned

- Assignee changed from Saswanto Tampan to Alip Sudin

- Priority changed from High to Urgent

sesuai diskusi ya lip, infonya akan di buatkan task param

ada 2 tabel yg diliat lip

PCMEPMDCON dan PCMEPMDCONSUB

PCMEPMDCON - untuk md nya

PCMEPMDCONSUB - untuk tipe nya yg akan di input datanya

PCMEPMDCONSUB -- ki di sini yg di liat di field MdSub dan TimeConstraint. di MdSub adalah tipe nya apa yg TimeConstraint apa
contoh address type nya N brp

naah kil N2 brarti pasti hanya ada 1 data di 1 waktu, jd pasti Igs di delimit untuk address type itu

naah kl N3, bisa lebih ada 1 data dalam waktu yg sama...itu gak harus di delimit datanya biarpun address type nya sama

Tks

#2 - 08/23/2021 02:44 PM - Muhammad Bintar
- File update custparam.txt added

- File create stored procedure.txt added

- File alter SP.txt added

- File clipboard-202108231444-krgyj.png added
- Status changed from Assigned to QA Test

- Assignee changed from Alip Sudin to Muhammad Bintar

update :

. Deploy DEFTASK

. Deploy DEFFLOW

. Deploy DEFTASKCON yang memiliki TaskID delimit_enddate

. Deploy custparam yang memiliki ID TIMECONSMD

. Buat store procedure baru dengan nama TIMECONSMD, lalu isi query seperti berikut;
. Buat ALTER dengan procedure baru

. Cek MDCONSUB Lalu tambahkan PHRPAOOQO06 jika tidak ada , dan tambahkan N2.

Execute | | | | | -

NOoO O~ W=

l MINOVAIS-SERVE...PCMWFCUSTPARAM MINOVAIS-SERVE...PCMEPMDCONSUB + X-

SQLQuery1.sql - 192...ohto_Prod (sa (64))* SQLQuery2.sql - 192...ohto_Prod (sa (70))*

Column Alias Table Outp... Sort Type Sort Order Filter Or... Or... Or...
> TableName PCMEPM...

MdSub PCMEPM...

TimeConstraint PCMEPM...

ObjldentityPe... PCMEPM...

MNotes PCMEPM...

CreateBy PCMEPM...

CreateDate PCMEPM...

ChangeBy PCMEPM...

ChangeDate PCMEPM...

=

TableMame MdSub TimeConstraint  ObjldentityPer... Motes CreateBy CreateDate ChangeBy ChangeDate
» PHRPADDDG 0001 N2 0 NULL minovais 20160101010101  minovais 20160101010101

PHRPADDOG 0002 N2 0 NULL minovais 20160101010101  minovais 20160101010101

PHRPADDOG 0003 N2 0 NULL minovais 20160101010101  minovais 20160101010101

PHRPADDOG 0004 N2 0 NULL minovais 20160101010101  minovais 20160101010101

PHRPADDOG 0005 N2 0 NULL minovais 20160101010101  minovais 20160101010101
* NULL NULL NULL NULL NULL NULL NULL NULL NULL

#3 - 08/23/2021 02:48 PM - Muhammad Bintar
- File clipboard-202108231446-3zhme.png added
- Status changed from QA Test to Deploy

sudah di deploy ke rohto dev di client
A | minova-app@ad

HRiS Menu

Home » Employee Master Data

* = My Workplace ) . -
Employee Overview - 00000762 - Magdalena Prita Pagita
» [ My Report
Empl; ID: 00000762 [« ID:
v B> Request mployee ompany
- B HR Administration Full Name: Magdalena Prita Pagita Employee Office:

¥ Employee Status: Active Organization:
] Add it L
i ress

fc icati Employee Type: Permanent Position:
[] Communicati..

[] Education a =
Master Data 1 Address - 00000762 - Magdalena Prita Pagita
{1 Family

Personal Data Action

[] Health Record

Assignment

ROHTO
Head Office
Human Resource HO'

Human Resource Staff

[] Language Skill

[ Personal Ide... S

RW  Kelurahan District (Kec)

0. asds asdasd

i
2370872021 31/12/9999  Legal Address (KTP)  sadsads

I Famil

11 Reward U me Tamah Rontrak TSADAED

0.. 0.. sdfd

1 Skill Education

I 20/04/2018  23/08/2021  Legal Address (KTP)  VILLA INDAH PERMAI BLOKE9/ 4 IO 0.. TELUKPUCU.. BEKASI UTARA

L[] Work Experie. Werking Experie...

e 00 0 00

» [ Performance Ma... Organization His...
» [O Time Management Health Record
» Travel Managem... Communication

] Forwarding Task

#4 - 08/23/2021 03:01 PM - Muhammad Bintar
- Status changed from Deploy to Closed

- Assignee changed from Muhammad Bintar to Alip Sudin

sudah deploy ke rohto production

Clear Filters

City
Files

clipboard-202108031206-bz4wc.png 77.9 KB 08/03/2021 Muhammad Bintar
clipboard-202108031208-rmtwa.png 64.4 KB 08/03/2021 Muhammad Bintar
update custparam.ixt 123 Bytes 08/23/2021 Muhammad Bintar
create stored procedure.txt 2.07 KB 08/23/2021 Muhammad Bintar
alter SP.txt 2.07 KB 08/23/2021 Muhammad Bintar
clipboard-202108231444-krgyj.png 52.1 KB 08/23/2021 Muhammad Bintar
clipboard-202108231446-3zhme.png 230 KB 08/23/2021 Muhammad Bintar
